{% load i18n static inkscape timers %}

{% if item.is_visible %}
  {% track_object item %}
  <div class="galleryitem{% if item.is_removed %} removed{% elif not item.published %} unpublished{% endif %} {{ item.extra_css }}{% if object.is_voting %}{% if item.voted %} voted{% else %} notvoted{% endif %}{% endif %}" 
     title="{{ item.summary_string }}" {% if object.is_voting and object.contest_checks and not item.checked_by %}style="opacity: 0.5;"{% endif %}>
    <a class="link" href="{{ item.get_absolute_url }}">
      <img src="{{ item.thumbnail_url }}"/>
    </a>
    <p class="label"><a href="{{ item.get_absolute_url }}">{{ item.name|truncatechars:40 }}</a></p>
    <div class="minitabs">
      {% if item.extra_status %}
        {% with text=item.get_extra_status_display style=item.extra_css %}
          {% include "ribbon.html" %}
        {% endwith %}
      {% endif %}
      {% if object.is_contest %}
        {% if request.user.is_authenticated and object.is_voting %}
          {% if item.voted %}
            <a href="{% url "resource.like" item.pk "-" %}?next={{ request.path|urlencode }}" class="blank" title="{% trans "Remove vote" %}"><span class="votebox remove">●</span></a>
          {% elif not object.contest_checks or item.checked_by %}
            <a href="{% url "resource.like" item.pk "+" %}?next={{ request.path|urlencode }}" class="blank" title="{% trans "Vote for this" %}"><span class="votebox add">●</span></a>
          {% else %}
            <a href="#no-vote" class="blank" title="{% trans "Disqualified Entry" %}"><span class="votebox remove">●</span></a>
          {% endif %}
          {% if object.user == request.user or object.group in request.user.groups.all %}
            <span class="blank">{{ item.liked }}</span>
          {% endif %}
        {% else %}
          {% if object.user == request.user or object.group in request.user.groups.all %}
            {% if item.checked_by %}
              <img src="{% static "mime/banner/ok.svg" %}" title="{% trans "Checked OK." %}">
            {% else %}
              <img src="{% static "mime/banner/delete.svg" %}" title="{% trans "Not Checked or Not OK." %}">
            {% endif %}
          {% endif %}
        {% endif %}
      {% elif not object.is_contest and item.user == request.user %}
        {% if gallery %}
          <a href="{% url "resource.move" item.pk gallery.pk %}">
            <img src="{% static "mime/banner/move.svg" %}" title="{% trans "Move to Gallery" %}">
          </a>
        {% else %}
          <a href="{% url "resource.copy" item.pk %}">
            <img src="{% static "mime/banner/copy.svg" %}" title="{% trans "Copy to Gallery" %}">
          </a>
        {% endif %}
        <a href="{% url "edit_resource" item.pk %}">
          <img src="{% static "mime/banner/edit.svg" %}" title="{% trans "Edit Resource" %}">
        </a>
      {% elif item.published %}
        <img src="{{ item.mime.banner }}" title="{{ item.mime.subtype }}">
        {% if item.license and item.license.banner %}
          <img src="{{ item.license.banner.url }}" title="{{ item.license }}">
        {% endif %}
      {% endif %}
    </div>
  </div>
{% endif %}
